from cpl_core.application import ApplicationABC
from cpl_core.configuration import ConfigurationABC
from cpl_core.console import Console
from cpl_core.dependency_injection import ServiceProviderABC


class Application(ApplicationABC):

    def __init__(self, config: ConfigurationABC, services: ServiceProviderABC):
        ApplicationABC.__init__(self, config, services)

    def configure(self):
        pass

    def main(self):
        ontime = 0
        mc = 0
        for i in range(0, 31):
            Console.write_line(f'i: {i} {ontime} {mc}')
            if i == 0:
                ontime = 4
                mc = 10
            else:
                ontime = round((ontime * 1.2561), 0)
                mc = round((mc * 1.26), 0)
